from random import randint

from aiogram import F, Router, types
from aiogram.filters import Command

router = Router()


@router.message(Command('rand'))
async def rand_handler(message: types.Message):
    """Возвращает пользователю случайное число по комманде /rand"""
    await message.answer(f'Держи свое случайное число: {randint(0, 100)}')


@router.message(F.text)
async def echo_handler(message: types.Message) -> None:
    """Эхо ответ текстовое сообщение пользователя"""
    try:
        await message.send_copy(chat_id=message.chat.id)
    except TypeError:
        await message.answer('Nice try!')
